Subject: bug#36924: fixing GDM + GNOME Shell

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 06 Aug 2019 20:08:51 +0200

Mark H Weaver <[email-masked]> writes:

> It's interesting that I've never run into this problem, not even once,
> in all my years of running GNOME on Guix systems.  Since recently
> reverting to mostly using GNOME under X and GDM (whereas for a while I
> was mostly launching GNOME manually under Wayland), I've run into some
> other problems, e.g. GDM suspending my system automatically, sometimes
> immediately after logging out, but I've *never* had to remove my caches.

Interesting.

> I wonder if this is related to my use of Btrfs instead of Ext4.  Whereas
> system crashes cause file system corruptions under Ext4 (usually in the
> form of some files being left empty after a crash), I've never seen any
> evidence of corruption from crashes under Btrfs.

I haven’t had a system crash on this machine.  I didn’t use it for a
month, upgraded, rebooted, and then had GDM + GNOME Shell problems.

-- 
Ricardo